---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma10t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3E70, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51510, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53450, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53840, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x547E0, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x547F0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51190, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51194, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51198, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x512F0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x513A8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x513AC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x513B0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x513B4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x513B8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x513C0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x513D0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x513D8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x513E0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x513E8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x513F0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x513F8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL25ExceptionCatchEventsCount, symObjAddr: 0x5143C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51440, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL20ExceptionEventsCount, symObjAddr: 0x5147C, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x9556, offset: 0x9556, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2B10, symSize: 0x80 }
  - { offsetInCU: 0x95EB, offset: 0x95EB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2A60, symSize: 0xB0 }
  - { offsetInCU: 0x9646, offset: 0x9646, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2960, symSize: 0x100 }
  - { offsetInCU: 0x98D9, offset: 0x98D9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2B90, symSize: 0xC0 }
  - { offsetInCU: 0x992B, offset: 0x992B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2C50, symSize: 0x220 }
  - { offsetInCU: 0x9B10, offset: 0x9B10, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2E70, symSize: 0xA0 }
  - { offsetInCU: 0x9BC3, offset: 0x9BC3, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2F10, symSize: 0x110 }
  - { offsetInCU: 0x9CB9, offset: 0x9CB9, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3020, symSize: 0x150 }
  - { offsetInCU: 0x9E16, offset: 0x9E16, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3170, symSize: 0x30 }
  - { offsetInCU: 0x9F23, offset: 0x9F23, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x31A0, symSize: 0x150 }
  - { offsetInCU: 0xA11B, offset: 0xA11B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x32F0, symSize: 0x160 }
  - { offsetInCU: 0xA3DB, offset: 0xA3DB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3450, symSize: 0x4A0 }
  - { offsetInCU: 0xA64E, offset: 0xA64E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x38F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA869, offset: 0xA869, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3AA0, symSize: 0xA0 }
  - { offsetInCU: 0xA938, offset: 0xA938, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3B40, symSize: 0x20 }
  - { offsetInCU: 0xA96F, offset: 0xA96F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3B60, symSize: 0x20 }
  - { offsetInCU: 0xA9A6, offset: 0xA9A6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3B80, symSize: 0x20 }
  - { offsetInCU: 0xAB79, offset: 0xAB79, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3BA0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE95, offset: 0xAE95, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3D40, symSize: 0x130 }
  - { offsetInCU: 0xB045, offset: 0xB045, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x40E0, symSize: 0x1B0 }
  - { offsetInCU: 0xB334, offset: 0xB334, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4290, symSize: 0x80 }
  - { offsetInCU: 0xB3FD, offset: 0xB3FD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4310, symSize: 0x6A0 }
  - { offsetInCU: 0xBF92, offset: 0xBF92, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA5F0, symBinAddr: 0x5F40, symSize: 0xB0 }
  - { offsetInCU: 0xC009, offset: 0xC009, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x49B0, symSize: 0x70 }
  - { offsetInCU: 0xC0FD, offset: 0xC0FD, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4A20, symSize: 0xA0 }
  - { offsetInCU: 0xC208, offset: 0xC208, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x4AC0, symSize: 0x1F0 }
  - { offsetInCU: 0xC455, offset: 0xC455, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x4CB0, symSize: 0x310 }
  - { offsetInCU: 0xC8F1, offset: 0xC8F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4FC0, symSize: 0x40 }
  - { offsetInCU: 0xC9E7, offset: 0xC9E7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5000, symSize: 0x2B0 }
  - { offsetInCU: 0xCD8D, offset: 0xCD8D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x52B0, symSize: 0xC0 }
  - { offsetInCU: 0xCED3, offset: 0xCED3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5370, symSize: 0x10 }
  - { offsetInCU: 0xCF95, offset: 0xCF95, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5380, symSize: 0x220 }
  - { offsetInCU: 0xD292, offset: 0xD292, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x55A0, symSize: 0x10 }
  - { offsetInCU: 0xD2EF, offset: 0xD2EF, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x55B0, symSize: 0x290 }
  - { offsetInCU: 0xD5E1, offset: 0xD5E1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EA0, symBinAddr: 0x5840, symSize: 0x10 }
  - { offsetInCU: 0xD67E, offset: 0xD67E, size: 0x8, addend: 0x0, symName: _ExceptionCatch, symObjAddr: 0x9F00, symBinAddr: 0x5850, symSize: 0x170 }
  - { offsetInCU: 0xD89F, offset: 0xD89F, size: 0x8, addend: 0x0, symName: __ZL12isTestThreadPKcP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xA070, symBinAddr: 0x59C0, symSize: 0xE0 }
  - { offsetInCU: 0xDAA1, offset: 0xDAA1, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA150, symBinAddr: 0x5AA0, symSize: 0x330 }
  - { offsetInCU: 0xDF04, offset: 0xDF04, size: 0x8, addend: 0x0, symName: __ZL9ExceptionP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlS4_S6_l, symObjAddr: 0xA480, symBinAddr: 0x5DD0, symSize: 0x170 }
  - { offsetInCU: 0xE13F, offset: 0xE13F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA6A0, symBinAddr: 0x5FF0, symSize: 0x36A }
...
